明经CAD社区

 找回密码
 注册

QQ登录

只需一步,快速开始

搜索
查看: 2108|回复: 1

在autocad中如何用VBA修改现有的标注?(特别是如何找到要修改的标注?然后用TextO

[复制链接]
发表于 2005-10-26 20:16:00 | 显示全部楼层 |阅读模式
AutoCAD中如何用VBA修改现有的标注?(特别是如何找到要修改的标注?然后用TextOverride去修改它?)[br]在autocad中如何用VBA修改现有的标注?(特别是如何找到要修改的标注?然后用TextOverride去修改它?)
发表于 2008-1-13 09:47:00 | 显示全部楼层
本帖最后由 作者 于 2008-1-13 10:42:41 编辑

你可以先遍历标注,然后用SELECT CASE 通过 特定的TEXTOVERRIDE 选定要改的标注,然后修改其TEXTOVERRIDE属性就行
  1. Dim ft(0) As Integer
  2. Dim fd(0) As Variant
  3. Dim sset As AcadSelectionSet
  4. If AcadApp.ActiveDocument.SelectionSets.Count = 0 Then
  5. Set sset = AcadApp.ActiveDocument.SelectionSets.Add("ss1")
  6. Else
  7. Set sset = AcadApp.ActiveDocument.SelectionSets.Item(0)
  8. sset.Clear
  9. End If
  10. fd(0) = "DIMENSION"
  11. sset.Select acSelectionSetAll, , , ft, fd
  12. If sset.Count = 0 Then Exit Sub
  13. Dim Ds As AcadDimension
  14.     For Each Ds In sset
  15.     If Ds.StyleName = "AA" Then
  16.         Select Case Left(Ds.TextOverride, 3)
  17.             Case "AA"
  18.                 Ds.TextOverride = "123456"
  19. ........................................
您需要登录后才可以回帖 登录 | 注册

本版积分规则

小黑屋|手机版|CAD论坛|CAD教程|CAD下载|联系我们|关于明经|明经通道 ( 粤ICP备05003914号 )  
©2000-2023 明经通道 版权所有 本站代码,在未取得本站及作者授权的情况下,不得用于商业用途

GMT+8, 2024-11-26 10:25 , Processed in 0.154454 second(s), 24 queries , Gzip On.

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

快速回复 返回顶部 返回列表